Subject: Re: bug#44985: ANSI sequences in unattended-upgrades.log?

From: Ludovic Courtès <[email-masked]>
Date: Fri, 18 Dec 2020 22:05:33 +0100

Hi!

Simon Josefsson <[email-masked]> skribis:

> Hi!  The unattended-upgrades.log file is quite unreadable due to ANSI
> sequences.  Probably use of them should be disabled when output is a log
> file?

This is mostly fixed by d613c1771a1986d3c0f1e034155fde41f32f9b8e.

There’s one remaining case where ANSI escapes can go through, that’s the
“updating substitutes” messages.  This one requires a bit more work
because it’s written on the daemon side.

Ludo’.